| NANO100_BSP V3.05.000 The Board Support Package for Nano100BN Series

Functions | Variables
system_Nano100Series.c File Reference

Nano100 series system clock init code and assert handler. More...

`#include <stdint.h>`
`#include "Nano100Series.h"`
Include dependency graph for system_Nano100Series.c:

Go to the source code of this file.

## Functions
uint32_t | SysGet_PLLClockFreq (void)
| Calculate current PLL clock frequency. More...
uint32_t | SysGet_HCLKFreq (void)
| Get current HCLK clock frequency. More...
void | SystemCoreClockUpdate (void)
| This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed. More...

## Variables
uint32_t | SystemCoreClock = __HSI
uint32_t | CyclesPerUs = (__HSI / 1000000)

## Detailed Description

Nano100 series system clock init code and assert handler.

Version
  V1.00

Revision
  4

Date
  14/01/29 4:09p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Nano100Series.c.

## Function Documentation

## ◆ SysGet_HCLKFreq()

uint32_t SysGet_HCLKFreq | ( | void |  | ) |

Get current HCLK clock frequency.

Parameters

  None. |

Returns
  HCLK clock frequency. The clock UNIT is in Hz.

Definition at line 66 of file system_Nano100Series.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SysGet_PLLClockFreq()

uint32_t SysGet_PLLClockFreq | ( | void |  | ) |

Calculate current PLL clock frequency.

Parameters

  None. |

Returns
  PLL clock frequency. The clock UNIT is in Hz.

Definition at line 28 of file system_Nano100Series.c.

Here is the caller graph for this function:

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed.

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 106 of file system_Nano100Series.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs = (__HSI / 1000000)

Cycles per micro second

Definition at line 21 of file system_Nano100Series.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock = __HSI

System Clock Frequency (Core Clock)

Definition at line 20 of file system_Nano100Series.c.